import request from '@/utils/request'

// 查询镇边界列表
export function listTown(query) {
  return request({
    url: '/houseSurvey/town/list',
    method: 'get',
    params: query
  })
}

// 导出镇边界
export function exportTown(query) {
  return request({
    url: '/houseSurvey/town/export',
    method: 'get',
    params: query
  })
}

// 查询镇边界详细
export function getTown(fid) {
  return request({
    url: '/houseSurvey/town/get/' + fid,
    method: 'get'
  })
}

// 新增镇边界
export function addTown(data) {
  return request({
    url: '/houseSurvey/town/add',
    method: 'post',
    data: data
  })
}

// 修改镇边界
export function updateTown(data) {
  return request({
    url: '/houseSurvey/town/edit',
    method: 'post',
    data: data
  })
}

// 删除镇边界
export function delTown(fid) {
  return request({
    url: '/houseSurvey/town/remove/' + fid,
    method: 'get'
  })
}

